Foreman - Feature #2214

Specifying host IP address should not be mandatory for uynmanaged DNS/DHCP subnets
02/17/2013 04:49 PM - Jon Fautley

Status: Duplicate
Priority: Normal
Assignee:

Category: Host creation

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

We have a setup whereby we deploy (RHEL) virtual machines (using libvirt+foreman) onto networks where we are only able to
control the TFTP server via the smart-proxy.

When creating a new host, it is mandatory to specify an IP address for the primary interface of the new host - this should be made
optional, and updated once the build is in progress.

Foreman already knows the MAC address of the system being built, so requests for the provision (kickstart) template are successful,
and Foreman is then aware of the assigned IP for the host. Once Foreman is aware of the IP of the host, it should update the record
in order for the 'build complete' status to be updated correctly.

Related issues:

Related to Foreman - Feature #2576: Optionally update Host.ip as part of /una... Closed 05/28/2013
Is duplicate of Foreman - Feature #3182: Remove requirement for entering an |... Closed 10/02/2013
History

#1 - 10/27/2013 12:01 PM - Dominic Cleal

- Is duplicate of Feature #3182: Remove requirement for entering an IP address when creating a new host added

#2 - 10/27/2013 12:02 PM - Dominic Cleal
- Related to Feature #2576: Optionally update Host.ip as part of /unattended/built added

#3 - 10/27/2013 12:02 PM - Dominic Cleal
- Description updated

- Status changed from New to Duplicate

Being implemented via #3182.
